/*
 * IRremote: IRsendDemo - demonstrates sending IR codes with IRsend
 * An IR LED must be connected to Arduino PWM pin 3.
 * Version 0.1 July, 2009
 * Copyright 2009 Ken Shirriff
 * http://arcfn.com
 */

#include <IRremote.h>

IRsend irsend;
int SwitchPin = 12;
int Sound = 13;

void setup()
{
  //Serial.begin(9600);
  pinMode(SwitchPin,INPUT);
  digitalWrite(SwitchPin, HIGH);
  pinMode(Sound,OUTPUT);
}

void loop() {
  
  for(int bullet=0; bullet<5;){
  if (digitalRead(SwitchPin) == 0) {
    digitalWrite(Sound, HIGH);
    for (int i = 0; i < 5; i++) {
      irsend.sendNEC(0xFFE01F, 32); // Sony TV power code
      //irsend.sendNEC(0xFFA857, 32); // Sony TV power code
      }
      delay(20);
      bullet++;
    }
    //Serial.println("code sent");
    //delay(500);
    digitalWrite(Sound, LOW);
    //delay(1000);
    while(digitalRead(SwitchPin) == 0);
    delay(200);
  }
  
  for(int counter=0; counter<25;)
  {
    if(digitalRead(SwitchPin) == 0)
    {
      counter++;
      delay(200);
    }
  }
  delay(50);
  digitalWrite(Sound, HIGH);
  delay(50);
  digitalWrite(Sound, LOW);
  delay(50);
  digitalWrite(Sound, HIGH);
  delay(50);
  digitalWrite(Sound, LOW);
  delay(50);
  digitalWrite(Sound, HIGH);
  delay(50);
  digitalWrite(Sound, LOW);
  delay(50);
  digitalWrite(Sound, HIGH);
  delay(50);
  digitalWrite(Sound, LOW);
  while(digitalRead(SwitchPin) == 0);

}
